<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPItemAnchor</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_item_anchor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="#friends">Przyjaciele</a> &#124;
<a href="class_q_c_p_item_anchor-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPItemAnchor</div></div>
</div><!--header-->
<div class="contents">

<p>An anchor of an item to which positions can be attached to.  
 <a href="class_q_c_p_item_anchor.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPItemAnchor</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor__inherit__graph.png" border="0" usemap="#a_q_c_p_item_anchor_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_item_anchor_inherit__map" id="a_q_c_p_item_anchor_inherit__map">
<area shape="rect" title="An anchor of an item to which positions can be attached to." alt="" coords="8,5,125,31"/>
<area shape="rect" href="class_q_c_p_item_position.html" title="Manages the position of an item." alt="" coords="5,79,128,104"/>
<area shape="poly" title=" " alt="" coords="69,44,69,79,64,79,64,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPItemAnchor:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor__coll__graph.png" border="0" usemap="#a_q_c_p_item_anchor_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_item_anchor_coll__map" id="a_q_c_p_item_anchor_coll__map">
<area shape="rect" title="An anchor of an item to which positions can be attached to." alt="" coords="666,491,783,516"/>
<area shape="rect" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ..." alt="" coords="703,80,803,105"/>
<area shape="poly" title=" " alt="" coords="768,117,772,128,790,179,799,232,807,300,806,355,792,407,762,468,741,492,737,489,757,465,787,405,800,354,801,300,794,232,785,180,768,130,763,119"/>
<area shape="rect" href="class_q_c_p_layerable.html" title="Base class for all drawable objects." alt="" coords="477,271,583,296"/>
<area shape="poly" title=" " alt="" coords="740,118,723,140,702,161,681,174,659,185,546,272,543,268,657,180,679,169,699,157,719,136,736,115"/>
<area shape="rect" href="class_q_c_p_layer.html" title="A layer that may contain objects, to control the rendering order." alt="" coords="466,183,549,208"/>
<area shape="poly" title=" " alt="" coords="690,107,657,117,626,132,611,146,596,161,545,185,543,180,592,156,607,142,623,127,655,112,689,102"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html" title=" " alt="" coords="113,183,270,208"/>
<area shape="poly" title=" " alt="" coords="689,100,560,110,412,132,308,158,224,185,222,180,307,153,411,127,560,105,689,94"/>
<area shape="rect" title=" " alt="" coords="717,5,789,31"/>
<area shape="poly" title=" " alt="" coords="755,45,755,80,750,80,750,45"/>
<area shape="rect" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot." alt="" coords="279,756,354,781"/>
<area shape="poly" title=" " alt="" coords="366,752,457,722,572,674,632,642,691,605,745,563,793,514,866,426,885,395,896,370,900,349,898,327,882,271,866,227,847,196,791,131,766,107,769,104,795,127,851,193,871,225,887,270,903,326,905,349,901,372,890,398,870,429,797,518,749,567,694,610,635,647,574,679,459,727,368,757"/>
<area shape="rect" href="class_q_c_p_grid.html" title="Responsible for drawing the grid of a QCPAxis." alt="" coords="349,844,423,869"/>
<area shape="poly" title=" " alt="" coords="344,788,359,804,383,843,378,845,355,807,340,792"/>
<area shape="poly" title=" " alt="" coords="463,298,408,310,353,327,312,347,301,358,297,370,297,667,303,716,315,755,310,757,298,718,291,668,291,370,296,356,309,343,351,322,406,305,462,293"/>
<area shape="rect" href="class_q_c_p_layout_element.html" title="The abstract base class for all objects that form the layout system." alt="" coords="331,359,467,384"/>
<area shape="poly" title=" " alt="" coords="503,306,419,361,416,356,500,301"/>
<area shape="poly" title=" " alt="" coords="597,285,869,298,992,307,1053,318,1064,329,1070,341,1073,370,1073,771,1066,783,1049,795,990,813,904,827,801,838,585,852,424,857,424,852,585,847,800,833,903,822,989,808,1047,790,1062,780,1067,769,1067,370,1065,342,1060,332,1050,322,992,313,869,303,597,290"/>
<area shape="rect" href="class_q_c_p_selection_rect.html" title="Provides rect/rubber&#45;band data selection and range zoom interaction." alt="" coords="641,359,771,384"/>
<area shape="poly" title=" " alt="" coords="567,300,683,356,681,361,565,305"/>
<area shape="rect" href="class_q_c_p_abstract_item.html" title="The abstract base class for all items in a plot." alt="" coords="491,359,617,384"/>
<area shape="poly" title=" " alt="" coords="540,309,553,357,548,359,534,310"/>
<area shape="rect" title=" " alt="" coords="301,80,372,105"/>
<area shape="poly" title=" " alt="" coords="338,119,340,139,347,157,380,196,420,228,462,252,499,268,497,273,460,256,417,232,376,200,342,160,335,140,332,119"/>
<area shape="poly" title=" " alt="" coords="347,117,357,138,373,157,394,170,418,179,466,189,465,194,417,184,392,175,370,161,353,141,342,120"/>
<area shape="poly" title=" " alt="" coords="494,170,490,148,497,128,511,117,532,109,585,98,646,93,702,91,703,96,647,98,586,103,533,114,514,122,501,131,495,149,499,169"/>
<area shape="poly" title=" " alt="" coords="516,221,529,269,524,271,511,222"/>
<area shape="rect" href="class_q_c_p_axis_rect.html" title="Holds multiple axes and arranges them in a rectangular shape." alt="" coords="332,653,435,679"/>
<area shape="poly" title=" " alt="" coords="370,692,326,757,322,755,366,689"/>
<area shape="poly" title=" " alt="" coords="396,398,394,408,387,481,385,552,386,653,380,653,380,552,382,480,389,408,390,397"/>
<area shape="rect" href="class_q_c_p_layout.html" title="The abstract base class for layouts." alt="" coords="473,491,563,516"/>
<area shape="poly" title=" " alt="" coords="482,386,508,406,519,427,524,450,523,490,517,490,519,451,514,429,504,410,479,390"/>
<area shape="poly" title=" " alt="" coords="459,497,434,486,412,468,400,447,395,424,395,384,400,384,400,423,405,445,416,465,436,481,461,492"/>
<area shape="rect" href="class_q_c_p_layout_inset.html" title="A layout that places child elements aligned to the border or arbitrarily positioned." alt="" coords="421,565,540,591"/>
<area shape="poly" title=" " alt="" coords="508,530,489,566,484,564,503,527"/>
<area shape="rect" href="class_q_c_p_layout_grid.html" title="A layout that arranges child elements in a grid." alt="" coords="919,565,1032,591"/>
<area shape="poly" title=" " alt="" coords="577,511,919,565,918,570,576,516"/>
<area shape="poly" title=" " alt="" coords="459,602,399,655,395,651,456,598"/>
<area shape="rect" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing." alt="" coords="5,653,92,679"/>
<area shape="poly" title=" " alt="" coords="45,692,44,713,52,730,67,741,90,749,151,760,220,765,279,765,279,771,219,770,150,765,88,754,64,745,48,734,39,714,39,692"/>
<area shape="poly" title=" " alt="" coords="335,840,316,821,310,801,311,781,316,782,315,800,320,819,338,836"/>
<area shape="poly" title=" " alt="" coords="187,222,181,251,178,282,178,667,181,685,188,700,213,725,246,743,280,756,278,761,244,748,210,729,183,703,176,686,173,668,173,282,176,250,182,221"/>
<area shape="rect" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line&#45;like items." alt="" coords="134,80,249,105"/>
<area shape="poly" title=" " alt="" coords="194,119,194,183,189,183,189,119"/>
<area shape="rect" href="class_q_c_p_legend.html" title="Manages a legend inside a QCustomPlot." alt="" coords="1107,653,1201,679"/>
<area shape="poly" title=" " alt="" coords="1147,640,1141,579,1141,194,1138,183,1131,172,1104,153,1063,137,1012,124,900,107,803,99,803,94,901,102,1013,119,1064,132,1106,148,1135,168,1143,180,1146,194,1146,579,1152,640"/>
<area shape="poly" title=" " alt="" coords="971,552,970,505,970,194,969,174,964,158,954,145,939,132,916,121,881,112,802,101,803,96,882,107,918,116,942,127,958,141,969,156,974,173,975,194,975,505,977,552"/>
<area shape="poly" title=" " alt="" coords="1013,594,1131,651,1129,655,1010,599"/>
<area shape="poly" title=" " alt="" coords="702,345,698,247,697,239,698,231,706,221,716,217,724,214,732,206,743,180,749,152,751,106,756,106,754,153,748,182,736,210,727,218,718,222,710,226,703,233,702,239,703,246,707,345"/>
<area shape="poly" title=" " alt="" coords="582,390,711,488,708,492,579,395"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a32573023c6fa65b4496f1f995e5bfa5f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a32573023c6fa65b4496f1f995e5bfa5f">QCPItemAnchor</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *parentPlot, <a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a> *parentItem, const QString &amp;<a class="el" href="class_q_c_p_item_anchor.html#aad37cdf5a3f63428f61be739014e212e">name</a>, int anchorId=-1)</td></tr>
<tr class="separator:a32573023c6fa65b4496f1f995e5bfa5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1868559407600688ee4d1a4621e81ceb"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a1868559407600688ee4d1a4621e81ceb">~QCPItemAnchor</a> ()</td></tr>
<tr class="separator:a1868559407600688ee4d1a4621e81ceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad37cdf5a3f63428f61be739014e212e"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#aad37cdf5a3f63428f61be739014e212e">name</a> () const</td></tr>
<tr class="separator:aad37cdf5a3f63428f61be739014e212e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06dcfb7220d26eee93eef56ae66582cb"><td class="memItemLeft" align="right" valign="top">virtual QPointF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a06dcfb7220d26eee93eef56ae66582cb">pixelPosition</a> () const</td></tr>
<tr class="separator:a06dcfb7220d26eee93eef56ae66582cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:ac54b20120669950255a63587193dbb86"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#ac54b20120669950255a63587193dbb86">toQCPItemPosition</a> ()</td></tr>
<tr class="separator:ac54b20120669950255a63587193dbb86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef15daa640debfb11b0aeaa2116c6fbc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#aef15daa640debfb11b0aeaa2116c6fbc">addChildX</a> (<a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *pos)</td></tr>
<tr class="separator:aef15daa640debfb11b0aeaa2116c6fbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a230b1d494cda63458e289bbe1b642599"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a230b1d494cda63458e289bbe1b642599">removeChildX</a> (<a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *pos)</td></tr>
<tr class="separator:a230b1d494cda63458e289bbe1b642599"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af05dc56f24536f0c7a9a0f57b58cea67"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#af05dc56f24536f0c7a9a0f57b58cea67">addChildY</a> (<a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *pos)</td></tr>
<tr class="separator:af05dc56f24536f0c7a9a0f57b58cea67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2394911d8fff3bd958b9f4f1994b64d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#aa2394911d8fff3bd958b9f4f1994b64d">removeChildY</a> (<a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *pos)</td></tr>
<tr class="separator:aa2394911d8fff3bd958b9f4f1994b64d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a23ad4d0ab0d2cbb41a7baf05bcf996ec"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a23ad4d0ab0d2cbb41a7baf05bcf996ec">mName</a></td></tr>
<tr class="separator:a23ad4d0ab0d2cbb41a7baf05bcf996ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59b968410831ba91a25cc75a77dde6f5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a59b968410831ba91a25cc75a77dde6f5">mParentPlot</a></td></tr>
<tr class="separator:a59b968410831ba91a25cc75a77dde6f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80fad480ad3bb980446ed6ebc00818ae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a80fad480ad3bb980446ed6ebc00818ae">mParentItem</a></td></tr>
<tr class="separator:a80fad480ad3bb980446ed6ebc00818ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00c62070333e8345976b579676ad3997"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a00c62070333e8345976b579676ad3997">mAnchorId</a></td></tr>
<tr class="separator:a00c62070333e8345976b579676ad3997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c0bfd6e50f3b48e2a9b3824695b20f7"><td class="memItemLeft" align="right" valign="top">QSet&lt; <a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a3c0bfd6e50f3b48e2a9b3824695b20f7">mChildrenX</a></td></tr>
<tr class="separator:a3c0bfd6e50f3b48e2a9b3824695b20f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3abe4eebd0683454d81c8341df6f7115"><td class="memItemLeft" align="right" valign="top">QSet&lt; <a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#a3abe4eebd0683454d81c8341df6f7115">mChildrenY</a></td></tr>
<tr class="separator:a3abe4eebd0683454d81c8341df6f7115"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="friends" name="friends"></a>
Przyjaciele</h2></td></tr>
<tr class="memitem:aa9b8ddc062778e202a0be06a57d18d17"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_anchor.html#aa9b8ddc062778e202a0be06a57d18d17">QCPItemPosition</a></td></tr>
<tr class="separator:aa9b8ddc062778e202a0be06a57d18d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>An item (<a class="el" href="class_q_c_p_abstract_item.html" title="The abstract base class for all items in a plot.">QCPAbstractItem</a>) may have one or more anchors. Unlike <a class="el" href="class_q_c_p_item_position.html" title="Manages the position of an item.">QCPItemPosition</a>, an anchor doesn't control anything on its item, but provides a way to tie other items via their positions to the anchor.</p>
<p>For example, a <a class="el" href="class_q_c_p_item_rect.html" title="A rectangle.">QCPItemRect</a> is defined by its positions <em>topLeft</em> and <em>bottomRight</em>. Additionally it has various anchors like <em>top</em>, <em>topRight</em> or <em>bottomLeft</em> etc. So you can attach the <em>start</em> (which is a <a class="el" href="class_q_c_p_item_position.html" title="Manages the position of an item.">QCPItemPosition</a>) of a <a class="el" href="class_q_c_p_item_line.html" title="A line from one point to another.">QCPItemLine</a> to one of the anchors by calling <a class="el" href="class_q_c_p_item_position.html#ac094d67a95d2dceafa0d50b9db3a7e51">QCPItemPosition::setParentAnchor</a> on <em>start</em>, passing the wanted anchor of the <a class="el" href="class_q_c_p_item_rect.html" title="A rectangle.">QCPItemRect</a>. This way the start of the line will now always follow the respective anchor location on the rect item.</p>
<p>Note that <a class="el" href="class_q_c_p_item_position.html" title="Manages the position of an item.">QCPItemPosition</a> derives from <a class="el" href="class_q_c_p_item_anchor.html" title="An anchor of an item to which positions can be attached to.">QCPItemAnchor</a>, so every position can also serve as an anchor to other positions.</p>
<p>To learn how to provide anchors in your own item subclasses, see the subclassing section of the <a class="el" href="class_q_c_p_abstract_item.html" title="The abstract base class for all items in a plot.">QCPAbstractItem</a> documentation. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03605">3605</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a32573023c6fa65b4496f1f995e5bfa5f" name="a32573023c6fa65b4496f1f995e5bfa5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32573023c6fa65b4496f1f995e5bfa5f">&#9670;&#160;</a></span>QCPItemAnchor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPItemAnchor::QCPItemAnchor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td>
          <td class="paramname"><em>parentPlot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a> *&#160;</td>
          <td class="paramname"><em>parentItem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>anchorId</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a new <a class="el" href="class_q_c_p_item_anchor.html" title="An anchor of an item to which positions can be attached to.">QCPItemAnchor</a>. You shouldn't create <a class="el" href="class_q_c_p_item_anchor.html" title="An anchor of an item to which positions can be attached to.">QCPItemAnchor</a> instances directly, even if you want to make a new item subclass. Use <a class="el" href="class_q_c_p_abstract_item.html#af3fc92527802078ca395138748b629a7">QCPAbstractItem::createAnchor</a> instead, as explained in the subclassing section of the <a class="el" href="class_q_c_p_abstract_item.html" title="The abstract base class for all items in a plot.">QCPAbstractItem</a> documentation. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l12042">12042</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a1868559407600688ee4d1a4621e81ceb" name="a1868559407600688ee4d1a4621e81ceb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1868559407600688ee4d1a4621e81ceb">&#9670;&#160;</a></span>~QCPItemAnchor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPItemAnchor::~QCPItemAnchor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l12050">12050</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_a1868559407600688ee4d1a4621e81ceb_cgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_a1868559407600688ee4d1a4621e81ceb_cgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_a1868559407600688ee4d1a4621e81ceb_cgraph" id="aclass_q_c_p_item_anchor_a1868559407600688ee4d1a4621e81ceb_cgraph">
<area shape="rect" title=" " alt="" coords="5,204,231,229"/>
<area shape="rect" href="class_q_c_p_item_position.html#afd6993258e88255a6b5e82e98df40d6a" title=" " alt="" coords="279,125,493,151"/>
<area shape="poly" title=" " alt="" coords="152,201,278,159,309,151,311,156,279,165,154,206"/>
<area shape="rect" href="class_q_c_p_item_position.html#a5151572d157fd475c9b2bc9b9df6595b" title=" " alt="" coords="279,175,493,200"/>
<area shape="poly" title=" " alt="" coords="230,202,265,198,265,203,231,207"/>
<area shape="rect" href="class_q_c_p_item_position.html#add71461a973927c74e42179480916d9c" title=" " alt="" coords="293,225,479,265"/>
<area shape="poly" title=" " alt="" coords="231,226,280,231,280,236,230,231"/>
<area shape="rect" href="class_q_c_p_item_position.html#add5ec1db9d19cec58a3b5c9e0a0c3f9d" title=" " alt="" coords="293,490,479,530"/>
<area shape="poly" title=" " alt="" coords="133,228,359,478,355,481,129,231"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#aef15daa640debfb11b0aeaa2116c6fbc" title=" " alt="" coords="553,5,736,31"/>
<area shape="poly" title=" " alt="" coords="475,222,491,209,506,190,513,171,515,131,516,90,524,69,539,48,558,34,561,39,543,52,529,71,522,91,520,131,518,172,511,193,495,213,478,227"/>
<area shape="rect" href="class_q_c_p_item_position.html#aa4ecf5b04c67049c05d37619e090820b" title=" " alt="" coords="561,308,729,333"/>
<area shape="poly" title=" " alt="" coords="456,262,588,301,586,307,454,267"/>
<area shape="rect" href="class_q_c_p_item_position.html#a0a87f9dce1af6cc9b510785991bcf1c6" title=" " alt="" coords="541,357,748,383"/>
<area shape="poly" title=" " alt="" coords="413,263,470,304,542,344,562,351,560,356,540,348,468,308,410,267"/>
<area shape="rect" href="class_q_c_p_item_position.html#a8be9a4787635433edecc75164beb748d" title=" " alt="" coords="1019,396,1221,421"/>
<area shape="poly" title=" " alt="" coords="473,222,492,209,503,195,509,181,513,150,517,119,525,105,540,92,567,76,593,67,617,63,640,64,689,75,749,91,817,110,869,131,917,161,972,205,1017,250,1055,298,1108,383,1103,385,1051,301,1013,253,969,209,914,165,867,136,816,115,747,97,688,80,639,69,617,69,594,72,570,81,543,96,530,108,522,121,518,150,514,182,508,198,495,213,476,227"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a230b1d494cda63458e289bbe1b642599" title=" " alt="" coords="543,156,747,181"/>
<area shape="poly" title=" " alt="" coords="454,222,586,183,588,188,456,227"/>
<area shape="rect" href="class_q_c_p_item_position.html#aa988ba4e87ab684c9021017dcaba945f" title=" " alt="" coords="1026,555,1214,580"/>
<area shape="poly" title=" " alt="" coords="479,250,644,269,713,281,750,295,772,325,780,357,779,389,774,421,768,452,767,483,776,512,798,540,826,560,857,574,890,583,925,588,994,588,1055,580,1055,585,994,594,925,594,889,589,855,579,823,565,794,544,771,515,762,484,763,452,768,420,774,388,775,357,767,327,746,299,711,286,644,274,479,255"/>
<area shape="rect" href="class_q_c_p_item_position.html#a8d4f858f2089973967cf9cb81970ef0a" title=" " alt="" coords="796,490,971,530"/>
<area shape="poly" title=" " alt="" coords="463,222,528,212,603,209,641,212,679,219,715,231,750,249,772,270,782,293,787,319,798,349,867,477,862,479,794,351,782,321,777,295,768,273,746,254,713,236,678,224,640,217,603,214,529,217,463,227"/>
<area shape="rect" href="class_q_c_p_item_position.html#a2113b2351d6d00457fb3559a4e20c3ea" title=" " alt="" coords="553,107,737,132"/>
<area shape="poly" title=" " alt="" coords="469,222,492,209,507,193,515,176,523,158,540,141,550,135,552,140,543,145,527,161,519,178,511,196,495,213,472,227"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#ac54b20120669950255a63587193dbb86" title=" " alt="" coords="551,407,739,447"/>
<area shape="poly" title=" " alt="" coords="405,263,461,327,500,362,543,393,554,399,552,404,540,398,496,367,457,331,401,267"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a06dcfb7220d26eee93eef56ae66582cb" title=" " alt="" coords="1269,404,1465,429"/>
<area shape="poly" title=" " alt="" coords="1222,409,1256,410,1255,416,1221,415"/>
<area shape="rect" href="class_q_custom_plot.html#a19842409b18f556b256d05e97fffc670" title=" " alt="" coords="1290,461,1445,487"/>
<area shape="poly" title=" " alt="" coords="1170,419,1306,455,1305,460,1168,424"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#ada5bad4e1196c4fc0d0d12328e24b8f2" title=" " alt="" coords="1513,397,1712,437"/>
<area shape="poly" title=" " alt="" coords="1466,414,1499,414,1499,419,1466,419"/>
<area shape="rect" href="class_q_c_p_item_position.html#a6fc519f1b73722a8d0cff7d4d647407e" title=" " alt="" coords="1293,525,1442,551"/>
<area shape="poly" title=" " alt="" coords="1214,554,1279,546,1279,551,1214,559"/>
<area shape="rect" href="class_q_c_p_item_position.html#acfcf86f840a7366a4299bff593d5d636" title=" " alt="" coords="1287,575,1447,600"/>
<area shape="poly" title=" " alt="" coords="1214,572,1274,577,1274,582,1214,578"/>
<area shape="poly" title=" " alt="" coords="931,488,969,469,993,453,1017,438,1057,423,1059,428,1020,443,996,458,972,474,934,492"/>
<area shape="poly" title=" " alt="" coords="965,487,1018,475,1272,429,1273,434,1019,481,966,493"/>
<area shape="poly" title=" " alt="" coords="971,501,1276,478,1276,483,971,506"/>
<area shape="poly" title=" " alt="" coords="967,527,1054,549,1053,554,966,533"/>
<area shape="poly" title=" " alt="" coords="717,130,749,141,804,168,857,200,957,268,1040,334,1097,385,1093,389,1036,338,954,273,854,204,801,173,747,146,715,135"/>
<area shape="poly" title=" " alt="" coords="734,130,750,141,770,166,781,191,786,214,787,239,786,290,790,318,799,349,831,419,864,477,859,479,826,421,793,351,784,319,781,290,782,239,781,215,776,192,766,169,746,145,731,134"/>
<area shape="rect" href="class_q_c_p_item_position.html#abfd74d86bd799306ce0295ffe433bdfc" title=" " alt="" coords="807,312,960,337"/>
<area shape="poly" title=" " alt="" coords="731,130,750,141,770,164,778,188,784,212,798,239,827,273,857,301,853,305,823,276,794,242,779,214,773,189,765,167,746,145,728,134"/>
<area shape="poly" title=" " alt="" coords="398,488,454,417,494,377,540,344,556,336,558,341,543,348,498,381,458,421,402,491"/>
<area shape="poly" title=" " alt="" coords="407,488,464,440,501,415,540,393,561,384,563,389,542,398,504,419,467,444,410,492"/>
<area shape="poly" title=" " alt="" coords="478,503,607,488,678,475,747,457,771,445,795,433,848,421,902,412,1005,405,1005,410,903,418,849,426,797,438,773,449,749,462,679,480,608,493,479,508"/>
<area shape="poly" title=" " alt="" coords="398,529,417,570,448,621,490,671,515,692,543,709,580,724,618,734,657,738,697,738,777,728,855,706,928,676,993,644,1088,586,1091,590,996,648,930,681,857,711,778,733,697,744,657,744,617,739,578,729,540,714,512,696,486,675,444,624,413,573,393,532"/>
<area shape="poly" title=" " alt="" coords="436,527,486,545,542,558,599,566,645,570,690,567,747,558,788,548,827,533,828,538,790,553,749,563,691,572,645,575,599,572,541,563,485,550,434,533"/>
<area shape="poly" title=" " alt="" coords="448,487,567,449,569,454,450,493"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#af05dc56f24536f0c7a9a0f57b58cea67" title=" " alt="" coords="553,624,736,649"/>
<area shape="poly" title=" " alt="" coords="417,528,473,565,542,602,582,617,580,622,540,607,471,569,414,532"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#aa2394911d8fff3bd958b9f4f1994b64d" title=" " alt="" coords="543,673,747,699"/>
<area shape="poly" title=" " alt="" coords="404,529,460,594,499,630,543,660,556,666,554,671,540,664,496,634,456,598,400,532"/>
<area shape="rect" href="class_q_c_p_item_position.html#ac2a454aa5a54c1615c50686601ec4510" title=" " alt="" coords="553,523,737,548"/>
<area shape="poly" title=" " alt="" coords="479,516,539,522,539,528,478,522"/>
<area shape="poly" title=" " alt="" coords="692,520,747,501,771,488,795,476,907,443,1014,421,1015,426,908,448,797,480,773,493,749,506,694,525"/>
<area shape="poly" title=" " alt="" coords="737,523,782,518,782,523,737,528"/>
<area shape="poly" title=" " alt="" coords="663,521,746,457,809,398,859,346,863,349,813,402,750,461,666,525"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="aad37cdf5a3f63428f61be739014e212e" name="aad37cdf5a3f63428f61be739014e212e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad37cdf5a3f63428f61be739014e212e">&#9670;&#160;</a></span>name()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPItemAnchor::name </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03613">3613</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_aad37cdf5a3f63428f61be739014e212e_icgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_aad37cdf5a3f63428f61be739014e212e_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_aad37cdf5a3f63428f61be739014e212e_icgraph" id="aclass_q_c_p_item_anchor_aad37cdf5a3f63428f61be739014e212e_icgraph">
<area shape="rect" title=" " alt="" coords="733,80,888,105"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#a139c255ea8831642fac91748e29a5adb" title=" " alt="" coords="512,29,683,55"/>
<area shape="poly" title=" " alt="" coords="742,79,651,57,652,52,744,74"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#a84914f4516f9b38ef0bd89eafe3dbda7" title=" " alt="" coords="268,55,461,80"/>
<area shape="poly" title=" " alt="" coords="719,90,462,75,462,70,720,85"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#a2589c3d298f9a576d77d9addb440a18d" title=" " alt="" coords="509,155,685,180"/>
<area shape="poly" title=" " alt="" coords="761,113,635,157,634,152,759,108"/>
<area shape="poly" title=" " alt="" coords="636,20,625,11,597,8,575,10,563,15,560,20,567,28,562,31,555,21,559,11,573,5,597,3,627,6,639,15"/>
<area shape="poly" title=" " alt="" coords="498,55,462,59,461,54,498,50"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#af3fc92527802078ca395138748b629a7" title=" " alt="" coords="9,29,217,55"/>
<area shape="poly" title=" " alt="" coords="254,59,217,55,217,50,255,54"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#a75036d39c4d4e2e1a7dd145fff915d32" title=" " alt="" coords="5,79,220,104"/>
<area shape="poly" title=" " alt="" coords="254,81,220,84,220,78,254,75"/>
<area shape="poly" title=" " alt="" coords="636,145,625,137,597,133,575,135,563,140,560,146,567,153,562,156,555,146,559,136,573,130,597,128,627,132,639,141"/>
</map>
</div>

</div>
</div>
<a id="a06dcfb7220d26eee93eef56ae66582cb" name="a06dcfb7220d26eee93eef56ae66582cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06dcfb7220d26eee93eef56ae66582cb">&#9670;&#160;</a></span>pixelPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPointF QCPItemAnchor::pixelPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the final absolute pixel position of the <a class="el" href="class_q_c_p_item_anchor.html" title="An anchor of an item to which positions can be attached to.">QCPItemAnchor</a> on the <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> surface.</p>
<p>The pixel information is internally retrieved via <a class="el" href="class_q_c_p_abstract_item.html#ada5bad4e1196c4fc0d0d12328e24b8f2">QCPAbstractItem::anchorPixelPosition</a> of the parent item, <a class="el" href="class_q_c_p_item_anchor.html" title="An anchor of an item to which positions can be attached to.">QCPItemAnchor</a> is just an intermediary. </p>

<p>Reimplementowana w <a class="el" href="class_q_c_p_item_position.html#a8be9a4787635433edecc75164beb748d">QCPItemPosition</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l12071">12071</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_a06dcfb7220d26eee93eef56ae66582cb_cgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_a06dcfb7220d26eee93eef56ae66582cb_cgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_a06dcfb7220d26eee93eef56ae66582cb_cgraph" id="aclass_q_c_p_item_anchor_a06dcfb7220d26eee93eef56ae66582cb_cgraph">
<area shape="rect" title=" " alt="" coords="5,13,201,38"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#ada5bad4e1196c4fc0d0d12328e24b8f2" title=" " alt="" coords="249,5,448,45"/>
<area shape="poly" title=" " alt="" coords="202,23,235,23,235,28,202,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_a06dcfb7220d26eee93eef56ae66582cb_icgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_a06dcfb7220d26eee93eef56ae66582cb_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_a06dcfb7220d26eee93eef56ae66582cb_icgraph" id="aclass_q_c_p_item_anchor_a06dcfb7220d26eee93eef56ae66582cb_icgraph">
<area shape="rect" title=" " alt="" coords="1261,1161,1457,1186"/>
<area shape="rect" href="class_q_c_p_item_position.html#a8be9a4787635433edecc75164beb748d" title=" " alt="" coords="1011,877,1213,902"/>
<area shape="poly" title=" " alt="" coords="1336,1152,1123,904,1127,901,1340,1148"/>
<area shape="rect" href="class_q_c_p_item_position.html#a8d4f858f2089973967cf9cb81970ef0a" title=" " alt="" coords="776,1437,951,1477"/>
<area shape="poly" title=" " alt="" coords="1330,1196,1177,1298,1073,1362,964,1421,922,1440,920,1435,961,1416,1070,1357,1174,1294,1328,1192"/>
<area shape="rect" href="class_q_c_p_item_rect.html#a844027325b33a3b7eef424128ee5109c" title=" " alt="" coords="775,309,951,349"/>
<area shape="poly" title=" " alt="" coords="1109,863,1106,769,1099,706,1088,636,1069,563,1043,491,1007,423,961,363,946,352,950,348,965,359,1012,420,1048,489,1074,561,1093,635,1105,705,1111,769,1114,863"/>
<area shape="rect" href="class_q_c_p_item_text.html#afcdb1724d88d561f65da95fb54b0acb7" title=" " alt="" coords="776,373,951,413"/>
<area shape="poly" title=" " alt="" coords="1108,863,1101,780,1093,724,1080,663,1061,600,1036,537,1003,479,961,427,946,416,949,411,965,423,1007,476,1041,535,1066,598,1085,662,1098,723,1106,779,1113,863"/>
<area shape="rect" href="class_q_c_p_item_ellipse.html#a35cd6983c61a16ac33c23f08dd2817cc" title=" " alt="" coords="770,437,957,477"/>
<area shape="poly" title=" " alt="" coords="1106,863,1096,790,1072,690,1053,637,1029,584,998,535,961,491,945,480,948,475,964,487,1003,531,1034,581,1058,635,1077,689,1101,789,1111,863"/>
<area shape="rect" href="class_q_c_p_item_bracket.html#a008d87325d26b6616d368cec06027cce" title=" " alt="" coords="766,501,961,541"/>
<area shape="poly" title=" " alt="" coords="1104,864,1090,801,1064,718,1045,674,1022,631,994,591,961,555,944,544,947,539,964,551,998,587,1026,628,1050,672,1069,716,1095,800,1109,862"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#acbc84ad219bf4845152e4e2202fcaa3c" title=" " alt="" coords="790,565,937,605"/>
<area shape="poly" title=" " alt="" coords="1101,864,1084,813,1055,747,1015,678,989,647,961,619,936,604,938,600,964,615,993,643,1019,675,1060,744,1089,811,1106,863"/>
<area shape="rect" href="class_q_c_p_item_line.html#ae184140b61b2ef5b8edde76304447200" title=" " alt="" coords="796,630,931,655"/>
<area shape="poly" title=" " alt="" coords="1099,865,1079,821,1050,768,1010,714,987,690,961,669,930,654,932,649,964,664,990,686,1014,711,1054,765,1084,819,1103,862"/>
<area shape="rect" href="class_q_c_p_item_curve.html#a856ae61de18278847ba5e0e357bf68f2" title=" " alt="" coords="791,679,935,705"/>
<area shape="poly" title=" " alt="" coords="1094,866,1073,832,1042,792,1005,752,961,718,934,706,936,701,964,714,1008,748,1046,789,1077,829,1099,863"/>
<area shape="rect" href="class_q_c_p_item_rect.html#a3c492960d0fc038cf1b60578b62b6cdc" title=" " alt="" coords="795,729,932,754"/>
<area shape="poly" title=" " alt="" coords="1088,868,1034,817,999,790,961,768,931,756,933,751,964,763,1002,786,1037,813,1092,865"/>
<area shape="rect" href="class_q_c_p_item_text.html#a8f8f075da83b6547c2b32e1f64cf0554" title=" " alt="" coords="796,778,931,803"/>
<area shape="poly" title=" " alt="" coords="1076,872,1023,844,962,817,925,806,927,801,964,812,1026,839,1079,868"/>
<area shape="rect" href="class_q_c_p_item_ellipse.html#a77eebd67a402fc496082a2e51356928c" title=" " alt="" coords="789,827,937,853"/>
<area shape="poly" title=" " alt="" coords="1034,877,928,855,929,850,1035,871"/>
<area shape="rect" href="class_q_c_p_item_tracer.html#a11f187ffea436434f3b5cfc387811967" title=" " alt="" coords="790,877,937,902"/>
<area shape="poly" title=" " alt="" coords="997,892,937,892,937,887,997,887"/>
<area shape="rect" href="class_q_c_p_item_bracket.html#a942a3978aea44a2fc7b4383f2bf6d417" title=" " alt="" coords="786,926,941,951"/>
<area shape="poly" title=" " alt="" coords="1035,907,929,929,928,923,1034,902"/>
<area shape="rect" href="class_q_c_p_item_pixmap.html#a9d8d207987283698dd529941eb103055" title=" " alt="" coords="764,134,963,159"/>
<area shape="poly" title=" " alt="" coords="1105,863,1089,728,1058,532,1038,431,1015,337,989,259,961,204,933,179,901,162,904,157,936,175,965,201,994,257,1020,336,1043,430,1063,532,1094,728,1111,863"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a0b10bec4746760cc99d210ba040cb8f7" title=" " alt="" coords="790,976,937,1016"/>
<area shape="poly" title=" " alt="" coords="1076,911,964,965,929,978,927,973,962,960,1074,906"/>
<area shape="rect" href="class_q_c_p_item_line.html#aae15b3ca3fdad76e6aed9c4e01fd5e94" title=" " alt="" coords="779,1041,947,1066"/>
<area shape="poly" title=" " alt="" coords="1094,915,1040,973,1004,1004,964,1030,933,1043,931,1038,961,1026,1001,1000,1036,969,1090,911"/>
<area shape="rect" href="class_q_c_p_item_curve.html#ae5b09ad4ea7ec2d9f08190c73c39e9b9" title=" " alt="" coords="775,1090,952,1115"/>
<area shape="poly" title=" " alt="" coords="1100,916,1079,952,1049,997,1010,1042,964,1080,938,1092,935,1088,961,1075,1006,1038,1044,994,1074,950,1096,913"/>
<area shape="rect" href="class_q_c_p_item_rect.html#a40786d237a1f8f22a90627068940ec08" title=" " alt="" coords="778,1139,949,1165"/>
<area shape="poly" title=" " alt="" coords="1104,916,1086,962,1056,1020,1016,1079,991,1106,964,1129,940,1142,938,1137,961,1124,988,1102,1012,1076,1052,1017,1081,960,1099,914"/>
<area shape="rect" href="class_q_c_p_item_text.html#a9345ae04cb0e06b77c76381ca45c9717" title=" " alt="" coords="779,1189,947,1214"/>
<area shape="poly" title=" " alt="" coords="1107,917,1091,972,1063,1042,1044,1080,1022,1116,995,1149,964,1178,942,1191,940,1186,961,1174,991,1145,1017,1113,1040,1077,1059,1040,1086,970,1102,915"/>
<area shape="rect" href="class_q_c_p_item_ellipse.html#a1037a6c39ad70aabcb1b552a8b4eff97" title=" " alt="" coords="773,1238,954,1263"/>
<area shape="poly" title=" " alt="" coords="1110,916,1097,980,1070,1064,1051,1108,1028,1152,999,1192,964,1227,944,1240,941,1236,961,1223,995,1189,1023,1149,1047,1106,1065,1062,1091,978,1104,915"/>
<area shape="rect" href="class_q_c_p_item_tracer.html#a01d8814404e3f0910b84029016ef73b2" title=" " alt="" coords="773,1287,953,1313"/>
<area shape="poly" title=" " alt="" coords="1105,916,1036,1117,995,1220,978,1257,965,1277,945,1289,942,1285,961,1273,973,1254,990,1218,1031,1115,1100,914"/>
<area shape="rect" href="class_q_c_p_item_bracket.html#a8c3bc895c9db93e97a291a1199f6f8c6" title=" " alt="" coords="769,1337,957,1362"/>
<area shape="poly" title=" " alt="" coords="1104,916,1013,1181,1004,1224,1000,1260,991,1293,980,1310,964,1327,948,1339,945,1334,961,1323,976,1307,986,1291,995,1259,998,1223,1008,1179,1099,914"/>
<area shape="rect" href="class_q_c_p_item_position.html#add71461a973927c74e42179480916d9c" title=" " alt="" coords="279,1389,464,1429"/>
<area shape="poly" title=" " alt="" coords="1111,916,1097,1040,1069,1215,1050,1304,1026,1385,998,1449,982,1474,964,1491,931,1514,895,1530,857,1541,818,1547,738,1546,657,1533,580,1510,510,1483,406,1432,408,1427,513,1478,582,1505,658,1527,738,1541,818,1541,856,1535,893,1525,928,1509,961,1487,978,1470,993,1447,1021,1383,1045,1303,1064,1214,1092,1039,1106,915"/>
<area shape="rect" href="class_q_c_p_item_position.html#add5ec1db9d19cec58a3b5c9e0a0c3f9d" title=" " alt="" coords="279,1300,464,1340"/>
<area shape="poly" title=" " alt="" coords="1106,863,1092,740,1064,568,1044,481,1020,402,993,339,977,316,961,299,936,282,911,270,887,262,864,260,840,263,816,270,766,300,706,351,660,404,628,459,607,516,594,574,589,634,590,757,594,884,593,949,586,1014,572,1080,549,1145,514,1211,466,1276,450,1291,432,1302,429,1298,447,1287,462,1273,510,1208,544,1143,567,1078,581,1013,588,949,589,884,585,757,583,634,589,574,602,515,623,457,656,401,702,347,762,295,814,265,839,257,864,255,888,257,913,265,938,277,964,295,981,313,997,337,1025,400,1049,479,1069,567,1097,740,1111,862"/>
<area shape="poly" title=" " alt="" coords="1103,916,1061,1030,1013,1181,1006,1217,1004,1250,1005,1307,1004,1335,998,1362,986,1390,965,1420,941,1439,938,1435,961,1417,981,1388,993,1360,998,1334,999,1307,998,1250,1001,1216,1008,1179,1056,1029,1098,915"/>
<area shape="rect" href="class_q_c_p_item_position.html#a2113b2351d6d00457fb3559a4e20c3ea" title=" " alt="" coords="522,1346,706,1371"/>
<area shape="poly" title=" " alt="" coords="1109,916,1092,1019,1061,1159,1041,1230,1018,1293,993,1344,964,1377,943,1387,913,1392,839,1393,757,1385,681,1374,682,1369,757,1380,839,1388,913,1387,941,1382,961,1373,988,1341,1013,1291,1036,1228,1056,1158,1086,1018,1104,915"/>
<area shape="rect" href="class_q_c_p_item_position.html#ac2a454aa5a54c1615c50686601ec4510" title=" " alt="" coords="522,234,706,259"/>
<area shape="poly" title=" " alt="" coords="1106,863,1093,733,1066,547,1047,453,1023,367,994,299,978,274,961,255,943,246,919,239,854,233,779,234,706,239,706,234,779,228,854,228,920,234,945,241,964,251,982,270,999,297,1028,366,1052,451,1072,546,1099,732,1111,863"/>
<area shape="rect" href="class_q_c_p_item_pixmap.html#a5803d8e173bc4d48619fc43701db32e5" title=" " alt="" coords="518,69,710,109"/>
<area shape="poly" title=" " alt="" coords="793,133,701,112,702,107,795,128"/>
<area shape="rect" href="class_q_c_p_item_pixmap.html#a9538a7d37fe20a4ff4bb2cb5bbbf2b48" title=" " alt="" coords="295,74,448,99"/>
<area shape="poly" title=" " alt="" coords="750,146,635,139,512,124,415,102,416,97,512,119,635,133,750,141"/>
<area shape="rect" href="class_q_c_p_item_pixmap.html#a35f4da350e37f4d7ac8c837ad160967f" title=" " alt="" coords="521,185,707,210"/>
<area shape="poly" title=" " alt="" coords="787,165,678,187,677,182,786,160"/>
<area shape="rect" href="class_q_c_p_item_pixmap.html#a8bced3027b326b290726cd1979c7cfc6" title=" " alt="" coords="512,5,716,45"/>
<area shape="poly" title=" " alt="" coords="832,128,779,94,715,60,685,48,687,43,717,55,781,89,835,124"/>
<area shape="poly" title=" " alt="" coords="522,51,423,77,422,71,520,46"/>
<area shape="rect" href="class_q_c_p_item_position.html#ac094d67a95d2dceafa0d50b9db3a7e51" title=" " alt="" coords="25,1293,211,1333"/>
<area shape="poly" title=" " alt="" coords="316,1386,230,1349,191,1336,193,1331,232,1344,318,1381"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a1868559407600688ee4d1a4621e81ceb" title=" " alt="" coords="5,1358,231,1383"/>
<area shape="poly" title=" " alt="" coords="264,1396,201,1386,202,1381,265,1390"/>
<area shape="rect" href="class_q_c_p_item_position.html#a21f585ffa8d8e3a6ba0cc450701bca5a" title=" " alt="" coords="23,1408,213,1448"/>
<area shape="poly" title=" " alt="" coords="265,1420,214,1424,213,1418,265,1414"/>
<area shape="poly" title=" " alt="" coords="265,1320,211,1318,211,1313,265,1315"/>
<area shape="poly" title=" " alt="" coords="266,1344,183,1361,182,1355,265,1339"/>
<area shape="poly" title=" " alt="" coords="327,1350,282,1375,232,1398,198,1410,196,1405,230,1394,280,1370,325,1345"/>
<area shape="poly" title=" " alt="" coords="762,1453,512,1431,464,1425,464,1420,512,1425,763,1448"/>
<area shape="poly" title=" " alt="" coords="762,1440,511,1387,457,1365,409,1342,411,1338,459,1360,513,1381,763,1434"/>
<area shape="poly" title=" " alt="" coords="793,1435,763,1421,739,1407,715,1393,662,1374,664,1369,717,1388,741,1402,765,1416,796,1430"/>
<area shape="poly" title=" " alt="" coords="814,1431,785,1407,762,1376,741,1330,723,1273,691,1130,666,961,646,782,622,452,613,260,618,259,627,452,652,781,671,960,696,1129,728,1271,746,1328,766,1373,789,1403,817,1427"/>
<area shape="poly" title=" " alt="" coords="539,1377,465,1393,464,1387,538,1372"/>
<area shape="rect" href="class_q_c_p_item_position.html#aa476abf71ed8fa4c537457ebb1a754ad" title=" " alt="" coords="284,1238,459,1263"/>
<area shape="poly" title=" " alt="" coords="574,1342,463,1290,404,1266,406,1261,465,1286,576,1338"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#a75036d39c4d4e2e1a7dd145fff915d32" title=" " alt="" coords="11,1243,225,1269"/>
<area shape="poly" title=" " alt="" coords="270,1255,226,1256,226,1251,270,1250"/>
<area shape="rect" href="class_q_c_p_item_tracer.html#af5886f4ded8dd68cb4f3388f390790c0" title=" " alt="" coords="32,1194,204,1219"/>
<area shape="poly" title=" " alt="" coords="284,1238,191,1222,192,1217,285,1233"/>
<area shape="poly" title=" " alt="" coords="527,268,514,280,493,318,479,365,470,420,467,482,472,622,485,773,500,924,506,1065,505,1129,498,1186,486,1236,466,1276,453,1291,437,1302,434,1298,450,1287,462,1273,481,1234,493,1185,499,1129,501,1066,494,925,480,773,467,622,462,482,465,420,474,364,488,316,510,277,523,264"/>
<area shape="poly" title=" " alt="" coords="528,268,514,280,491,315,471,361,453,416,438,480,413,623,396,778,385,930,379,1066,375,1238,370,1238,374,1066,380,930,391,777,408,622,433,479,448,415,466,359,487,312,510,277,525,264"/>
</map>
</div>

</div>
</div>
<a id="ac54b20120669950255a63587193dbb86" name="ac54b20120669950255a63587193dbb86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac54b20120669950255a63587193dbb86">&#9670;&#160;</a></span>toQCPItemPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> * QCPItemAnchor::toQCPItemPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns <code>nullptr</code> if this instance is merely a <a class="el" href="class_q_c_p_item_anchor.html" title="An anchor of an item to which positions can be attached to.">QCPItemAnchor</a>, and a valid pointer of type QCPItemPosition* if it actually is a <a class="el" href="class_q_c_p_item_position.html" title="Manages the position of an item.">QCPItemPosition</a> (which is a subclass of <a class="el" href="class_q_c_p_item_anchor.html" title="An anchor of an item to which positions can be attached to.">QCPItemAnchor</a>).</p>
<p>This safe downcast functionality could also be achieved with a dynamic_cast. However, <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> avoids dynamic_cast to work with projects that don't have RTTI support enabled (e.g. -fno-rtti flag with gcc compiler). </p>

<p>Reimplementowana w <a class="el" href="class_q_c_p_item_position.html#a0d2c5b823c99207eda710a37a4bb1dbf">QCPItemPosition</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03627">3627</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_ac54b20120669950255a63587193dbb86_icgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_ac54b20120669950255a63587193dbb86_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_ac54b20120669950255a63587193dbb86_icgraph" id="aclass_q_c_p_item_anchor_ac54b20120669950255a63587193dbb86_icgraph">
<area shape="rect" title=" " alt="" coords="512,63,700,103"/>
<area shape="rect" href="class_q_c_p_item_position.html#add71461a973927c74e42179480916d9c" title=" " alt="" coords="279,31,464,71"/>
<area shape="poly" title=" " alt="" coords="498,71,464,66,464,61,499,65"/>
<area shape="rect" href="class_q_c_p_item_position.html#add5ec1db9d19cec58a3b5c9e0a0c3f9d" title=" " alt="" coords="279,95,464,135"/>
<area shape="poly" title=" " alt="" coords="499,100,464,105,464,99,498,95"/>
<area shape="rect" href="class_q_c_p_item_position.html#ac094d67a95d2dceafa0d50b9db3a7e51" title=" " alt="" coords="25,5,211,45"/>
<area shape="poly" title=" " alt="" coords="265,43,211,37,211,32,265,37"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a1868559407600688ee4d1a4621e81ceb" title=" " alt="" coords="5,70,231,95"/>
<area shape="poly" title=" " alt="" coords="265,67,219,73,218,67,265,61"/>
<area shape="rect" href="class_q_c_p_item_position.html#a21f585ffa8d8e3a6ba0cc450701bca5a" title=" " alt="" coords="23,120,213,160"/>
<area shape="poly" title=" " alt="" coords="297,78,280,85,232,110,198,122,196,117,230,106,278,80,295,73"/>
<area shape="poly" title=" " alt="" coords="295,92,278,85,230,60,196,48,198,43,232,55,280,80,297,87"/>
<area shape="poly" title=" " alt="" coords="265,104,218,98,219,93,265,99"/>
<area shape="poly" title=" " alt="" coords="265,128,214,133,213,128,265,123"/>
</map>
</div>

</div>
</div>
<a id="aef15daa640debfb11b0aeaa2116c6fbc" name="aef15daa640debfb11b0aeaa2116c6fbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef15daa640debfb11b0aeaa2116c6fbc">&#9670;&#160;</a></span>addChildX()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPItemAnchor::addChildX </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l12098">12098</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_aef15daa640debfb11b0aeaa2116c6fbc_icgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_aef15daa640debfb11b0aeaa2116c6fbc_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_aef15daa640debfb11b0aeaa2116c6fbc_icgraph" id="aclass_q_c_p_item_anchor_aef15daa640debfb11b0aeaa2116c6fbc_icgraph">
<area shape="rect" title=" " alt="" coords="512,70,695,95"/>
<area shape="rect" href="class_q_c_p_item_position.html#add71461a973927c74e42179480916d9c" title=" " alt="" coords="279,63,464,103"/>
<area shape="poly" title=" " alt="" coords="498,85,464,85,464,80,498,80"/>
<area shape="rect" href="class_q_c_p_item_position.html#ac094d67a95d2dceafa0d50b9db3a7e51" title=" " alt="" coords="25,5,211,45"/>
<area shape="poly" title=" " alt="" coords="268,62,206,48,208,43,270,57"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a1868559407600688ee4d1a4621e81ceb" title=" " alt="" coords="5,70,231,95"/>
<area shape="poly" title=" " alt="" coords="265,85,231,85,231,80,265,80"/>
<area shape="rect" href="class_q_c_p_item_position.html#a21f585ffa8d8e3a6ba0cc450701bca5a" title=" " alt="" coords="23,120,213,160"/>
<area shape="poly" title=" " alt="" coords="270,108,208,123,206,117,268,103"/>
</map>
</div>

</div>
</div>
<a id="a230b1d494cda63458e289bbe1b642599" name="a230b1d494cda63458e289bbe1b642599"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a230b1d494cda63458e289bbe1b642599">&#9670;&#160;</a></span>removeChildX()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPItemAnchor::removeChildX </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l12112">12112</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_a230b1d494cda63458e289bbe1b642599_icgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_a230b1d494cda63458e289bbe1b642599_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_a230b1d494cda63458e289bbe1b642599_icgraph" id="aclass_q_c_p_item_anchor_a230b1d494cda63458e289bbe1b642599_icgraph">
<area shape="rect" title=" " alt="" coords="512,99,716,125"/>
<area shape="rect" href="class_q_c_p_item_position.html#add71461a973927c74e42179480916d9c" title=" " alt="" coords="279,63,464,103"/>
<area shape="poly" title=" " alt="" coords="498,101,464,97,465,91,499,95"/>
<area shape="rect" href="class_q_c_p_item_position.html#a21f585ffa8d8e3a6ba0cc450701bca5a" title=" " alt="" coords="23,120,213,160"/>
<area shape="poly" title=" " alt="" coords="498,121,214,137,213,132,498,116"/>
<area shape="rect" href="class_q_c_p_item_position.html#ac094d67a95d2dceafa0d50b9db3a7e51" title=" " alt="" coords="25,5,211,45"/>
<area shape="poly" title=" " alt="" coords="268,62,206,48,208,43,270,57"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a1868559407600688ee4d1a4621e81ceb" title=" " alt="" coords="5,70,231,95"/>
<area shape="poly" title=" " alt="" coords="265,85,231,85,231,80,265,80"/>
<area shape="poly" title=" " alt="" coords="270,108,208,123,206,117,268,103"/>
</map>
</div>

</div>
</div>
<a id="af05dc56f24536f0c7a9a0f57b58cea67" name="af05dc56f24536f0c7a9a0f57b58cea67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af05dc56f24536f0c7a9a0f57b58cea67">&#9670;&#160;</a></span>addChildY()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPItemAnchor::addChildY </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l12126">12126</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_af05dc56f24536f0c7a9a0f57b58cea67_icgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_af05dc56f24536f0c7a9a0f57b58cea67_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_af05dc56f24536f0c7a9a0f57b58cea67_icgraph" id="aclass_q_c_p_item_anchor_af05dc56f24536f0c7a9a0f57b58cea67_icgraph">
<area shape="rect" title=" " alt="" coords="512,70,695,95"/>
<area shape="rect" href="class_q_c_p_item_position.html#add5ec1db9d19cec58a3b5c9e0a0c3f9d" title=" " alt="" coords="279,63,464,103"/>
<area shape="poly" title=" " alt="" coords="498,85,464,85,464,80,498,80"/>
<area shape="rect" href="class_q_c_p_item_position.html#ac094d67a95d2dceafa0d50b9db3a7e51" title=" " alt="" coords="25,5,211,45"/>
<area shape="poly" title=" " alt="" coords="268,62,206,48,208,43,270,57"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a1868559407600688ee4d1a4621e81ceb" title=" " alt="" coords="5,70,231,95"/>
<area shape="poly" title=" " alt="" coords="265,85,231,85,231,80,265,80"/>
<area shape="rect" href="class_q_c_p_item_position.html#a21f585ffa8d8e3a6ba0cc450701bca5a" title=" " alt="" coords="23,120,213,160"/>
<area shape="poly" title=" " alt="" coords="270,108,208,123,206,117,268,103"/>
</map>
</div>

</div>
</div>
<a id="aa2394911d8fff3bd958b9f4f1994b64d" name="aa2394911d8fff3bd958b9f4f1994b64d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2394911d8fff3bd958b9f4f1994b64d">&#9670;&#160;</a></span>removeChildY()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPItemAnchor::removeChildY </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l12140">12140</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_anchor_aa2394911d8fff3bd958b9f4f1994b64d_icgraph.png" border="0" usemap="#aclass_q_c_p_item_anchor_aa2394911d8fff3bd958b9f4f1994b64d_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_anchor_aa2394911d8fff3bd958b9f4f1994b64d_icgraph" id="aclass_q_c_p_item_anchor_aa2394911d8fff3bd958b9f4f1994b64d_icgraph">
<area shape="rect" title=" " alt="" coords="512,99,716,125"/>
<area shape="rect" href="class_q_c_p_item_position.html#add5ec1db9d19cec58a3b5c9e0a0c3f9d" title=" " alt="" coords="279,63,464,103"/>
<area shape="poly" title=" " alt="" coords="498,101,464,97,465,91,499,95"/>
<area shape="rect" href="class_q_c_p_item_position.html#a21f585ffa8d8e3a6ba0cc450701bca5a" title=" " alt="" coords="23,120,213,160"/>
<area shape="poly" title=" " alt="" coords="498,121,214,137,213,132,498,116"/>
<area shape="rect" href="class_q_c_p_item_position.html#ac094d67a95d2dceafa0d50b9db3a7e51" title=" " alt="" coords="25,5,211,45"/>
<area shape="poly" title=" " alt="" coords="268,62,206,48,208,43,270,57"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a1868559407600688ee4d1a4621e81ceb" title=" " alt="" coords="5,70,231,95"/>
<area shape="poly" title=" " alt="" coords="265,85,231,85,231,80,265,80"/>
<area shape="poly" title=" " alt="" coords="270,108,208,123,206,117,268,103"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja przyjaciół i funkcji związanych</h2>
<a id="aa9b8ddc062778e202a0be06a57d18d17" name="aa9b8ddc062778e202a0be06a57d18d17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9b8ddc062778e202a0be06a57d18d17">&#9670;&#160;</a></span>QCPItemPosition</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03638">3638</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a23ad4d0ab0d2cbb41a7baf05bcf996ec" name="a23ad4d0ab0d2cbb41a7baf05bcf996ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23ad4d0ab0d2cbb41a7baf05bcf996ec">&#9670;&#160;</a></span>mName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPItemAnchor::mName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03618">3618</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a59b968410831ba91a25cc75a77dde6f5" name="a59b968410831ba91a25cc75a77dde6f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59b968410831ba91a25cc75a77dde6f5">&#9670;&#160;</a></span>mParentPlot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a>* QCPItemAnchor::mParentPlot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03621">3621</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a80fad480ad3bb980446ed6ebc00818ae" name="a80fad480ad3bb980446ed6ebc00818ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80fad480ad3bb980446ed6ebc00818ae">&#9670;&#160;</a></span>mParentItem</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a>* QCPItemAnchor::mParentItem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03622">3622</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a00c62070333e8345976b579676ad3997" name="a00c62070333e8345976b579676ad3997"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00c62070333e8345976b579676ad3997">&#9670;&#160;</a></span>mAnchorId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPItemAnchor::mAnchorId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03623">3623</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3c0bfd6e50f3b48e2a9b3824695b20f7" name="a3c0bfd6e50f3b48e2a9b3824695b20f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c0bfd6e50f3b48e2a9b3824695b20f7">&#9670;&#160;</a></span>mChildrenX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QSet&lt;<a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a>*&gt; QCPItemAnchor::mChildrenX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03624">3624</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3abe4eebd0683454d81c8341df6f7115" name="a3abe4eebd0683454d81c8341df6f7115"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3abe4eebd0683454d81c8341df6f7115">&#9670;&#160;</a></span>mChildrenY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QSet&lt;<a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a>*&gt; QCPItemAnchor::mChildrenY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03624">3624</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
